Get Canvas Template
curl --request GET \
--url https://api.example.com/canvas-templates/{id}import requests
url = "https://api.example.com/canvas-templates/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/canvas-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"template": "<h1>Hello {{name}}!</h1>",
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string"
}
}
},
"createdAt": "2024-03-20T15:30:00.000Z",
"updatedAt": "2024-03-20T15:30:00.000Z",
"name": "Welcome Email Template"
}Canvas Template
Get Canvas Template
Get a Canvas Template by id.
GET
/
canvas-templates
/
{id}
Get Canvas Template
Path Parameters
Response
200 - application/json
The Canvas Template was successfully obtained.
The unique identifier of the canvas template
Example:
"123e4567-e89b-12d3-a456-426614174000"
The Handlebars template string
Example:
"<h1>Hello {{name}}!</h1>"
JSON schema defining the template variables
Example:
{
"type": "object",
"properties": { "name": { "type": "string" } }
}
When the template was created
Example:
"2024-03-20T15:30:00.000Z"
When the template was last updated
Example:
"2024-03-20T15:30:00.000Z"
The name of the template
Example:
"Welcome Email Template"